# This imports all the layers for "3d-touch" into 3dTouchLayers
$ = Framer.Importer.load "imported/3d-touch"

bg = new BackgroundLayer
	backgroundColor: "#FFF"

Framer.Defaults.Animation =
	curve: "spring"
	curveOptions:
		tension: 350
		friction: 40
		velocity: 0

$.blur.visible = false

$.menu.originX = $.menu.originY = 0

# home
$.home.states.add
	blurred:
		blur: 30

# menu
$.menu.states.add
	off:
		opacity: 0, x: 54 ,y: 49, scale: .1
$.menu.states.switchInstant('off')

# icons
for i in [1...5]
	$["icon#{i}"].states.add
		off: 
			scale: .1, opacity: 0
	$["icon#{i}"].states.switchInstant('off')
	
	$["text#{i}"].states.add
		off: 
			opacity: 0
	$["text#{i}"].states.switchInstant('off')

$.messages.on Events.Click, ->
	$.home.states.switch('blurred')
	$.menu.states.switch('default')
	for i in [1...5]
		$["icon#{i}"].states.switch('default')
		$["text#{i}"].states.switch('default')
	
$.home.on Events.Click, ->
	$.home.states.switch('default')
	$.menu.states.switch('off')
	for i in [1...5]
		$["icon#{i}"].states.switch('off')
		$["text#{i}"].states.switch('off')