# This imports all the layers for "3d-touch" into 3dTouchLayers
$ = Framer.Importer.load "imported/3d-touch"

bg = new BackgroundLayer
	backgroundColor: "#FFF"

Framer.Defaults.Animation =
	curve: "spring"
	curveOptions:
		tension: 350
		friction: 40
		velocity: 0

menuBase = new Layer
	width: 496, height: 496, x: 53, y: 187
	backgroundColor: "rgba(255, 255, 255, .75)", borderRadius: 28
	superLayer: $.Screen

menuBase.states.add
	off:
		width: 120, height: 120, x: 54, y: 49
		originX: .5, originY: .5
	small:
		width: 140, height: 140, x: 44, y: 39
menuBase.states.switchInstant('off')

$.menu.bringToFront()
$.messages.bringToFront()

# blur layer
$.blur.states.add
	off:
		opacity: 0
$.blur.states.switchInstant('off')

# menu
$.menu.originX = $.menu.originY = 0
$.menu.states.add
	off:
		opacity: 0, x: 54 ,y: 49, scale: .1
$.menu.states.switchInstant('off')
	

# icons
for i in [1...5]
	$["icon#{i}"].originX = $["icon#{i}"].originY = 0
	$["icon#{i}"].states.add
		off: 
			scale: .1, opacity: 0
	$["icon#{i}"].states.switchInstant('off')
	
	$["text#{i}"].states.add
		off: 
			opacity: 0
	$["text#{i}"].states.switchInstant('off')

$.messages.on Events.Click, ->
	timeFactor = 0.15
	Utils.delay 1 * (timeFactor - .1), -> menuBase.states.switch('small')
	Utils.delay 2 * timeFactor, -> 
		$.blur.states.switch('default')
		menuBase.states.switch('default')
		$.menu.states.switch('default')
		for i in [1...5]
			$["icon#{i}"].states.switch('default')
	Utils.delay 3 * timeFactor, ->
		for i in [1...5]
			$["text#{i}"].states.switch('default')
	
$.blur.on Events.Click, ->
	$.blur.states.switch('off')
	$.menu.states.switch('off')
	menuBase.states.switch('off')
	for i in [1...5]
		$["icon#{i}"].states.switch('off')
		$["text#{i}"].states.switch('off')